How to install PHP 5.2

Problems with the Linux version of XAMPP, questions, comments, and anything related.

How to install PHP 5.2

Postby bimaljr » 24. January 2012 14:24

Hello,

I am familiar with XAMPP on my Windows PC and it's working perfectly. I haven't install the XAMPP for Linux on my Ubuntu system but now I like to use it on my Ubuntu system.
I have some old websites which are still using old PHP v5.2. But the latest version includes PHP 5.3 so my old websites are not working.

So is there any way to install PHP 5.2 on latest XAMPP (on Linux version) so I can run my sites and can work?

(Please note that currently I am downloading XAMPP-Linux v1.7.1 which is with PHP 5.2 so I can run my old websites, but I like to use the latest XAMPP version.)

Thanks.
bimaljr
 
Posts: 1
Joined: 24. January 2012 14:18
XAMPP Version: 5.6.3
Operating System: Linux

Re: How to install PHP 5.2

Postby JonB » 24. January 2012 19:35

It is no different that with the Windows version of XAMPP - the Apache and PHP are co-compiles, so the PHP 5 version of XAMPP you use will be determined by what it was when that Version of XAMPP was compiled and distributed. There is one difference, in XAMPP for Linux (LAMPP) you can opt to run PHP 4. I have never used that option, but it is there.

IF you want to run a specific version of PHP with LAMPP, pick the XAMPP version that has the best match for you.

All that said, LAMPP is different than XAMPP for Windows in another way - it has not needed to evolve as much. This means all the version basically work exactly the same way. IN fact, I would say to the average user they would be indistinguishable.

There is one other thing to understand - LAMPP (XAMPP for Windows) is NOT a traditional LAMP stack, its a bash script that runs everything with CLI directives that 'run' the components. You won't be able to easily add/remove 'parts'. About all that is upgradeable is phpMyAdmin and Webalizer or ProFTPd. the core stuff "is what it is".

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: How to install PHP 5.2

Postby ingrid2012 » 04. March 2012 15:34

Now it's working . . .thanks! :D
User avatar
ingrid2012
 
Posts: 1
Joined: 02. March 2012 16:26
Location: Colorado
XAMPP Version: 5.6.3
Operating System: Windows 7


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests